ProyectoCrm/src/app/Modulos/ConsultaArticuloModulo/Paginas/fw-consulta-articulo/Componentes/fw-consulta-articulo-detalle/fw-consulta-articulo-detalle.component.pug
- var ListadoCabecera = ["Talla", "Almacén", "Existencia", "Reservado", "Disponible"]

div.form-row
  div.form-group.col-lg-4.d-none.d-lg-block.text-center
    img([src]="ObtenerImagenPrincipal()",
      alt="").ImagenPrincipal
  div.form-group.col-12.col-lg-8
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-keyboard
          label(size-label="sm").ControlInput--Label [{{ tArticulo.Codarticulo }}] {{ tArticulo.Descripcion }}
    div.form-row
      label.form-label.h6 Descripción larga
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-keyboard
          label(size-label="sm").ControlInput--Label {{ tArticulo.Descripcion2 }}
div.form-row
  div.form-group.col-12
    ul(role="tablist").nav.nav-tabs
      li.nav-item
        a(data-toggle="tab",
          href="#Informacion",
          role="tab",
          aria-controls="Informacion",
          aria-selected="true")#Informacion-tab.nav-link.active Información
      li.nav-item
        a(data-toggle="tab",
          href="#Clasificacion",
          role="tab",
          aria-controls="Clasificacion",
          aria-selected="true")#Clasificacion-tab.nav-link Clasificación
      li.nav-item
        a(data-toggle="tab",
          href="#Inventario",
          role="tab",
          aria-controls="Inventario",
          aria-selected="true")#Inventario-tab.nav-link Inventario
div.form-row
  div.form-group.col-12
    div.tab-content#mvDatos
      div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información General
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Sku
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Sku }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tipo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-shapes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Tipo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Código alterno
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Codalterno }}
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Referencia
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-barcode
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Referencia }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Color
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-palette
                  label(size-label="sm").ControlInput--Label [ {{ tArticulo.Codcolor }} ] - {{ tArticulo.Desc_color }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Unidad
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-shapes
                  label(size-label="sm").ControlInput--Label [ {{ tArticulo.Codunidadmedida }} ] - {{ tArticulo.Desc_unidad_medida }} - Factor: {{ tArticulo.Factor_venta }}
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información sobre Precios y Costos
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Costo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Costo | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 1
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio1 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 3
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio3 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Iva
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Iva | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio 2
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Precio2 | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Precio Lista
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-dollar-sign
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Preciolista | number:'0.1-2' }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas {{ tEmpresa.Simbolo }}
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-info.mr-2
              span Información de Almacenamiento
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Lotes
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-boxes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_lotes }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Peso
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-weight
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Peso }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas Kg
          div.form-group.col-12.col-lg-6
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Seriales
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-boxes
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_seriales }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Volumen
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-prescription-bottle
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Volumen }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas L
        div.form-row
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Alto
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-vertical
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Alto }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Vencimiento
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-calendar-alt
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_vencimiento }}
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Ancho
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-horizontal
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Ancho }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label(for="txtDias_vencimiento_r").form-label.h6 Días en recepción
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-pallet
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Dias_vencimiento_r }}
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Largo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-ruler-combined
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Largo }}
                  div.ControlInput--ContenedorIconoAppend
                    span.ControlInput--ContenedorIconoAppend-Icono
                      span.fas M
            div.form-row
              div.form-group.col-12
                label(for="txtDias_vencimiento_d").form-label.h6 Días en despacho
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-truck-loading
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Dias_vencimiento_d }}
      div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade#Clasificacion
        div.form-row
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-boxes.mr-2
                  span Clasificaciones
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Clase
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion1 }} ] {{ tArticulo.Desc_clasificacion1 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Grupo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion2 }} ] {{ tArticulo.Desc_clasificacion2 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Categoria
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion3 }} ] {{ tArticulo.Desc_clasificacion3 }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Subcategoria
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                  span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codclasificacion4 }} ] {{ tArticulo.Desc_clasificacion4 }}
          div.form-group.col-12.col-lg-6
            div.form-row.border-bottom-secondary.mb-2
              div.form-group.col-12
                h5.card-title.mb-0.text-gray-800
                  span.fas.fa-industry.mr-2
                  span Fabricante
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Fabricante
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codfabricante }} ] {{ tArticulo.Desc_fabricante }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Marca
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codmarca }} ] {{ tArticulo.Desc_marca }}
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Modelo
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-sitemap
                  label(size-label="sm").ControlInput--Label  [ {{ tArticulo.Codmodelo }} ] {{ tArticulo.Desc_modelo }}
      div(role="tabpanel", aria-labelledby="Inventario-tab").tab-pane.fade#Inventario
        div.form-row.border-bottom-secondary.mb-2
          div.form-group.col-12
            h5.card-title.mb-0.text-gray-800
              span.fas.fa-boxes.mr-2
              span Inventario
        div.form-row
          div.form-group.col-12.col-lg-4
            div.form-row
              div.form-group.col-12
                label.form-label.h6 Tallas
                div.ControlInput
                  div.ControlInput--ContenedorIcono
                    span.ControlInput--ContenedorIcono-Icono
                      i.fas.fa-box
                  label(size-label="sm").ControlInput--Label {{ tArticulo.Maneja_tallas }}
          div.form-group.col-12.col-lg-4
            label.form-label.h6 Inicial
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_inicial }}
          div.form-group.col-12.col-lg-4
            label.form-label.h6 Final
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_final }}
        div.form-row
          div.form-group.col-12.col-lg-6
            label.form-label.h6 Tallas Intermedias
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_intermedias }}
          div.form-group.col-12.col-lg-6
            label.form-label.h6 Tallas Sugerida
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-box
              label(size-label="sm").ControlInput--Label {{ tArticulo.Talla_sugerida }}
        div.form-row
          div.form-group.col-12
            div.table-responsive
              table.table.table-sm
                thead
                  tr
                    each Cabecera in ListadoCabecera || []
                      th(scope="col")
                        h6
                          small.font-weight-bold= Cabecera
                tbody
                  tr(*ngFor="let Inventario of tArticulo.LInventario")
                    td
                      h6
                        small {{ ObtenerTalla(Inventario) }}
                    td
                      h6
                        small {{ Inventario.Codalmacen }}
                    td
                      h6
                        small {{ Inventario.Existencia }}
                    td
                      h6
                        small {{ Inventario.Reservado }}
                    td
                      h6
                        small {{ Inventario.Disponible }}

ProyectoCrm/src/app/Modulos/ConsultaArticuloModulo/Paginas/fw-consulta-articulo/Componentes/fw-consulta-articulo-detalle/fw-consulta-articulo-detalle.component.html

<div class="form-row">
  <div class="form-group col-lg-4 d-none d-lg-block text-center"><img class="ImagenPrincipal" [src]="ObtenerImagenPrincipal()" alt=""/></div>
  <div class="form-group col-12 col-lg-8">
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-keyboard"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[{{ tArticulo.Codarticulo }}] {{ tArticulo.Descripcion }}</label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <label class="form-label h6">Descripción larga</label>
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-keyboard"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Descripcion2 }}</label>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ul class="nav nav-tabs" role="tablist">
      <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab" aria-controls="Informacion" aria-selected="true" id="Informacion-tab">Información</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Clasificacion" role="tab" aria-controls="Clasificacion" aria-selected="true" id="Clasificacion-tab">Clasificación</a></li>
      <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Inventario" role="tab" aria-controls="Inventario" aria-selected="true" id="Inventario-tab">Inventario</a></li>
    </ul>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <div class="tab-content" id="mvDatos">
      <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Informacion-tab" id="Informacion">
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Sku</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Sku }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Tipo</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Tipo }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Código alterno</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Codalterno }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Referencia</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Referencia }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Color</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-palette"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tArticulo.Codcolor }} ] - {{ tArticulo.Desc_color }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Unidad</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">[ {{ tArticulo.Codunidadmedida }} ] - {{ tArticulo.Desc_unidad_medida }} - Factor: {{ tArticulo.Factor_venta }}</label>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información sobre Precios y Costos</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Costo</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Costo | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Precio 1</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Precio1 | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Precio 3</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Precio3 | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Iva</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Iva | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Precio 2</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Precio2 | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Precio Lista</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Preciolista | number:'0.1-2' }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información de Almacenamiento</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Lotes</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Maneja_lotes }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Peso</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-weight"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Peso }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">Kg</span></span></div>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Seriales</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Maneja_seriales }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Volumen</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-prescription-bottle"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Volumen }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">L</span></span></div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-4">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Alto</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-vertical"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Alto }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Vencimiento</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Maneja_vencimiento }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Ancho</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-horizontal"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Ancho }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6" for="txtDias_vencimiento_r">Días en recepción</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-pallet"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Dias_vencimiento_r }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Largo</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-combined"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Largo }}</label>
                  <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6" for="txtDias_vencimiento_d">Días en despacho</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-truck-loading"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Dias_vencimiento_d }}</label>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Clasificacion-tab" id="Clasificacion">
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="form-row border-bottom-secondary mb-2">
              <div class="form-group col-12">
                <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-boxes mr-2"></span><span>Clasificaciones</span></h5>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Clase</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codclasificacion1 }} ] {{ tArticulo.Desc_clasificacion1 }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Grupo</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codclasificacion2 }} ] {{ tArticulo.Desc_clasificacion2 }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Categoria</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codclasificacion3 }} ] {{ tArticulo.Desc_clasificacion3 }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Subcategoria</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"></div><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codclasificacion4 }} ] {{ tArticulo.Desc_clasificacion4 }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="form-row border-bottom-secondary mb-2">
              <div class="form-group col-12">
                <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-industry mr-2"></span><span>Fabricante</span></h5>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Fabricante</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codfabricante }} ] {{ tArticulo.Desc_fabricante }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Marca</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codmarca }} ] {{ tArticulo.Desc_marca }}</label>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Modelo</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-sitemap"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm"> [ {{ tArticulo.Codmodelo }} ] {{ tArticulo.Desc_modelo }}</label>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Inventario-tab" id="Inventario">
        <div class="form-row border-bottom-secondary mb-2">
          <div class="form-group col-12">
            <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-boxes mr-2"></span><span>Inventario</span></h5>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-4">
            <div class="form-row">
              <div class="form-group col-12">
                <label class="form-label h6">Tallas</label>
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
                  <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Maneja_tallas }}</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <label class="form-label h6">Inicial</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
              <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Talla_inicial }}</label>
            </div>
          </div>
          <div class="form-group col-12 col-lg-4">
            <label class="form-label h6">Final</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
              <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Talla_final }}</label>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6">Tallas Intermedias</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
              <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Talla_intermedias }}</label>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6">Tallas Sugerida</label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
              <label class="ControlInput--Label" size-label="sm">{{ tArticulo.Talla_sugerida }}</label>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive">
              <table class="table table-sm">
                <thead>
                  <tr>
                    <th scope="col">
                      <h6><small class="font-weight-bold">Talla</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="font-weight-bold">Almacén</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="font-weight-bold">Existencia</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="font-weight-bold">Reservado</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="font-weight-bold">Disponible</small></h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let Inventario of tArticulo.LInventario">
                    <td>
                      <h6><small>{{ ObtenerTalla(Inventario) }}</small></h6>
                    </td>
                    <td>
                      <h6><small>{{ Inventario.Codalmacen }}</small></h6>
                    </td>
                    <td>
                      <h6><small>{{ Inventario.Existencia }}</small></h6>
                    </td>
                    <td>
                      <h6><small>{{ Inventario.Reservado }}</small></h6>
                    </td>
                    <td>
                      <h6><small>{{ Inventario.Disponible }}</small></h6>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
